Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox.record
Class DOMRecord

`java.lang.Object
oracle.toplink.publicinterface.DatabaseRow
oracle.toplink.ox.record.XMLRecord
oracle.toplink.ox.record.DOMRecord`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, Record, java.io.Serializable

Direct Known Subclasses:
  EISDOMRecord

public class DOMRecord
extends XMLRecord

PUBLIC: Provides a DatabaseRow/Map API on an XML DOM element.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Method Summary
`void` | `clear()` PUBLIC: Clear the sub-nodes of the DOM.
`boolean` | `contains(java.lang.Object value)` PUBLIC: Check if the value is contained in the row.
`java.util.Set` | `entrySet()` PUBLIC: todo: need to check attributes, should be prefix or nodename?
`org.w3c.dom.Document` | `getDocument()` PUBLIC: Return the document.
`org.w3c.dom.Element` | `getDOM()` PUBLIC: Return the DOM.
`java.lang.String` | `getLocalName()` PUBLIC: Get the local name of the context root element.
`java.lang.String` | `getNamespaceURI()` PUBLIC: Get the namespace URI for the context root element.
`java.util.Set` | `keySet()` PUBLIC: Return the set of element names from the DOM.
`java.lang.String` | `resolveNamespacePrefix(java.lang.String prefix)`
`int` | `size()` Return the number of elements in the DOM.
`void` | `transformFromXML(java.io.Reader reader)` Set the XML from an XML reader.
`void` | `transformFromXML(java.lang.String xml)` Set the XML from an XML string.
`void` | `transformToWriter(java.io.Writer writer)` Write the XML string representation of the DOM.
`java.lang.String` | `transformToXML()` Return the XML string representation of the DOM.
`java.util.Collection` | `values()` PUBLIC: Return the collection of element values from the DOM.

Methods inherited from class oracle.toplink.publicinterface.DatabaseRow
`containsKey, containsKey, containsValue, elements, get, get, getValues, isEmpty, keys, put, put, putAll`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  PUBLIC: Get the local name of the context root element.
  Specified by:
    `getLocalName` in class `XMLRecord`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  PUBLIC: Get the namespace URI for the context root element.
  Specified by:
    `getNamespaceURI` in class `XMLRecord`

### clear

    public void clear()

  PUBLIC: Clear the sub-nodes of the DOM.
  Specified by:
    `clear` in interface `java.util.Map`
  Specified by:
    `clear` in class `XMLRecord`

### getDocument

    public org.w3c.dom.Document getDocument()

  PUBLIC: Return the document.
  Specified by:
    `getDocument` in class `XMLRecord`

### contains

    public boolean contains(java.lang.Object value)

  PUBLIC: Check if the value is contained in the row.
  Overrides:
    `contains` in class `XMLRecord`

### getDOM

    public org.w3c.dom.Element getDOM()

  PUBLIC: Return the DOM.
  Specified by:
    `getDOM` in class `XMLRecord`

### entrySet

    public java.util.Set entrySet()

  PUBLIC: todo: need to check attributes, should be prefix or nodename? / innerclass
  Specified by:
    `entrySet` in interface `java.util.Map`
  Overrides:
    `entrySet` in class `DatabaseRow`

### keySet

    public java.util.Set keySet()

  PUBLIC: Return the set of element names from the DOM. todo: need to check attributes, should be prefix or nodename? / innerclass
  Specified by:
    `keySet` in interface `java.util.Map`
  Overrides:
    `keySet` in class `DatabaseRow`

### values

    public java.util.Collection values()

  PUBLIC: Return the collection of element values from the DOM. todo: needs to do gets with the keys to have correct values, need to check attributes / innerclass
  Specified by:
    `values` in interface `java.util.Map`
  Overrides:
    `values` in class `DatabaseRow`

### size

    public int size()

  Return the number of elements in the DOM.
  Specified by:
    `size` in interface `java.util.Map`
  Overrides:
    `size` in class `DatabaseRow`

### transformFromXML

    public void transformFromXML(java.lang.String xml)

  Set the XML from an XML string.

### transformFromXML

    public void transformFromXML(java.io.Reader reader)

  Set the XML from an XML reader.

### transformToXML

    public java.lang.String transformToXML()

  Return the XML string representation of the DOM.
  Specified by:
    `transformToXML` in class `XMLRecord`

### transformToWriter

    public void transformToWriter(java.io.Writer writer)

  Write the XML string representation of the DOM.

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(java.lang.String prefix)

  Overrides:
    `resolveNamespacePrefix` in class `XMLRecord`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD